Loading...
Searching...
No Matches
IDXGIFactoryVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (IDXGIFactory *This, REFIID riid, _COM_Outptr_ void **ppvObject)
IDXGIFactory _In_ REFGUID UINT | _In_reads_bytes_ (DataSize) const void *pData)

## Public Attributes

IDXGIFactory * | This
IDXGIFactory _In_ REFGUID | Name
IDXGIFactory _In_ REFGUID UINT | DataSize
IDXGIFactory _In_ REFGUID _In_opt_ const IUnknown * | pUnknown
IDXGIFactory _In_ REFGUID _Inout_ UINT * | pDataSize
IDXGIFactory _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void * | pData
IDXGIFactory _In_ REFIID | riid
IDXGIFactory _In_ REFIID _COM_Outptr_ void ** | ppParent
IDXGIFactory UINT | Adapter
IDXGIFactory UINT _COM_Outptr_ IDXGIAdapter ** | ppAdapter
IDXGIFactory HWND | WindowHandle
IDXGIFactory HWND UINT | Flags
IDXGIFactory _Out_ HWND * | pWindowHandle
IDXGIFactory _In_ IUnknown * | pDevice
IDXGIFactory _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC * | pDesc
IDXGIFactory _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC _COM_Outptr_ IDXGISwapChain ** | ppSwapChain
IDXGIFactory HMODULE | Module
IDXGIFactory HMODULE _COM_Outptr_ IDXGIAdapter ** | ppAdapter

## Detailed Description

Definition at line 6141 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

IDXGIFactoryVtbl::BEGIN_INTERFACE | ( | IDXGIFactory * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_()

IDXGIFactory _In_ REFGUID UINT IDXGIFactoryVtbl::_In_reads_bytes_ | ( | DataSize |  | ) | const

References _In_, DataSize, Name, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

IDXGIFactory * IDXGIFactoryVtbl::This

Definition at line 6153 of file mini_d3d12.h.

Referenced by _In_reads_bytes_(), and BEGIN_INTERFACE().

## Name

IDXGIFactory _In_ REFGUID IDXGIFactoryVtbl::Name

Definition at line 6163 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## DataSize

IDXGIFactory _In_ REFGUID UINT IDXGIFactoryVtbl::DataSize

Definition at line 6164 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## pUnknown

IDXGIFactory _In_ REFGUID _In_opt_ const IUnknown* IDXGIFactoryVtbl::pUnknown

Definition at line 6174 of file mini_d3d12.h.

## pDataSize

IDXGIFactory _In_ REFGUID _Inout_ UINT* IDXGIFactoryVtbl::pDataSize

Definition at line 6182 of file mini_d3d12.h.

## pData

IDXGIFactory _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void* IDXGIFactoryVtbl::pData

Definition at line 6184 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## riid

IDXGIFactory _In_ REFIID IDXGIFactoryVtbl::riid

Definition at line 6190 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppParent

IDXGIFactory _In_ REFIID _COM_Outptr_ void** IDXGIFactoryVtbl::ppParent

Definition at line 6192 of file mini_d3d12.h.

## Adapter

IDXGIFactory UINT IDXGIFactoryVtbl::Adapter

Definition at line 6197 of file mini_d3d12.h.

## ppAdapter [1/2]

IDXGIFactory UINT _COM_Outptr_ IDXGIAdapter** IDXGIFactoryVtbl::ppAdapter

Definition at line 6199 of file mini_d3d12.h.

## WindowHandle

IDXGIFactory HWND IDXGIFactoryVtbl::WindowHandle

Definition at line 6204 of file mini_d3d12.h.

## Flags

IDXGIFactory HWND UINT IDXGIFactoryVtbl::Flags

Definition at line 6205 of file mini_d3d12.h.

## pWindowHandle

IDXGIFactory _Out_ HWND* IDXGIFactoryVtbl::pWindowHandle

Definition at line 6211 of file mini_d3d12.h.

## pDevice

IDXGIFactory _In_ IUnknown* IDXGIFactoryVtbl::pDevice

Definition at line 6217 of file mini_d3d12.h.

## pDesc

IDXGIFactory _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC* IDXGIFactoryVtbl::pDesc

Definition at line 6219 of file mini_d3d12.h.

## ppSwapChain

IDXGIFactory _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC _COM_Outptr_ IDXGISwapChain** IDXGIFactoryVtbl::ppSwapChain

Definition at line 6221 of file mini_d3d12.h.

## Module

IDXGIFactory HMODULE IDXGIFactoryVtbl::Module

Definition at line 6226 of file mini_d3d12.h.

## ppAdapter [2/2]

IDXGIFactory HMODULE _COM_Outptr_ IDXGIAdapter** IDXGIFactoryVtbl::ppAdapter

Definition at line 6228 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h